html,
body {
	margin: 0;
	padding: 0;
}

body {
	font-size: 0.75rem;
	width: 100vw;
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	background-color: var(--screen-bco);
	color: var(--screen-pco);
}

h1 {
	font-size: 1rem;
	margin: 0.25rem 0;
	text-align: center;
}

h2 {
	margin: 0.125rem 0;
	font-size: 0.8125rem;
}

button,
input,
select {
	font: inherit;
	padding: 0.125rem;
	background-color: default;
	color: default;
}

select,
input[type=text] {
	width: 12.5rem;
}

input[type=checkbox] {
	width: 0.875rem;
	height: 0.875rem;
}

.verBand {
	overflow-x: hidden;
	display: flex;
	gap: 0.25rem;
	flex-flow: column nowrap;
	height: calc(100vh - 0.5rem);
	margin: 0;
	padding: 0.25rem;
	min-width: 22rem;
}

.horBand {
	display: flex;
	gap: 0.25rem;
	flex-flow: row wrap;
}

.main {
	flex: 1;
	overflow-x: auto;

	.panel {
		flex: 1;
		overflow: hidden;
		max-height: calc(100% - 0.75rem);
	}
}

.bottom {
	.panel:not(#conPane) {
		flex: 0;
		text-wrap-mode: nowrap;
	}
}

.panel {
	background-color: var(--pane-bco);
	color: var(--pane-pco);
	padding: 0.375rem 0.5rem;
	flex-flow: column;
	display: flex;
	flex: 1 0;
	gap: 0.25rem;
	overflow-x: visible;

	a {
		color: var(--link-pco);
	}

	.caption {
		display: inline-block;
		width: 4.5rem;
		padding-top: 0.25rem;
	}

	div:not(.display) {
		display: flex;
		flex-flow: row nowrap;
		flex: 0;

		* {
			flex-shrink: 0;
		}
	}

	div.display {
		background-color: var(--component-bco);
		color: var(--component-pco);
		flex: 1 0;
		overflow-x: hidden;
		overflow-y: scroll;
		min-height: 4rem;
		min-width: 12rem;
		width: 100% - 0.5rem;

		span.sl {
			display: inline-block;
			min-width: 4.5rem;
		}

		pre.ret {
			color: var(--logret-pco);
		}

		pre {
			overflow-x: auto;
			white-space: pre-wrap;
			word-wrap: break-word;
			margin: 0 0.25rem;

			span {
				font-style: italic;
				color: var(--logdebug-pco);
			}
		}

		pre.err {
			color: var(--logerr-pco);
			font-weight: bold;
		}

		pre.evt {
			color: var(--logevt-pco);
		}

		pre.sts {
			color: var(--logsts-pco);
		}

		pre.cmd {
			color: var(--logcmd-pco);
		}

	}

	button:not(.mini) {
		min-width: 4rem;
	}

	button.mini {
		width: 1.5rem;
	}

}